0 votes
in 中文区(Chinese) by (140 points)
recategorized by

enter image description here

在ue4中按pico的设置打包安卓ASTC的包会出现这些问题,两天一直没有解决。

1 Answer

0 votes
by (55.5k points)

您好,
请问一下您打包出错的工程是新建的空工程还是非新建的工程。
如果是非新建工程尝试删除Intermediate文件夹后再重新打开工程打包。
如果是新建工程打包报错,尝试检查一下您的Android SDK等是否配置正确,Android SDK API Level是否在29或以上。
另外,请问一下您使用的Pico SDK版本是多少。

by (140 points)

Pico SDK是支持UE4.24版本的,具体不太清楚,androi SDK的话 只要不按pico的配置设置插件什么的就可以打包成功

by (55.5k points)

您好,
请问您方便将您的工程发到我们的邮箱吗?如果可以的话,请将邮件标题设置为您论坛帖的标题。
pico_devsupport@bytedance.com

by (140 points)

邮箱发过了,添麻烦了

by (55.5k points)

您好,我们下载了您给的工程,做了以下操作,并打包成功。
1. 再全英文路径下解压您的工程文件
2. 删除了您的Intermediate文件夹
3. 使用的引擎版本是4.26,因此删除了您的Plugins并导入了适配4.26的SDK Plugins.

您可以尝试一下删除Intermediate文件夹并重新导入对应引擎版本的SDK。
另外您的项目名称及项目路径不要出现中文。要保持全英文路径,详情可以参考如下连接:
https://sdk.picovr.com/docs/UnrealXRSDK/cn/chapter_eleven.html#picovrsdk-plugin
enter image description here

by (140 points)

因为项目原因只能用UE4.24.3的版本,而且项目里安卓版本需要设置在19,因为官方网站找不到 pico对应4.24的Plugins文件,安卓SDK,NDK等都是拼凑的,可以以这个配置打包一下看看能不能成功吗?如果可以成功的话可以把pico的4.24的Plugins的文件和安卓SDK、NDK等文件给邮箱发一下不?

by (55.5k points)

您好,官网下载的SDK包是含有对应的引擎版本的,下载链接如下:
http://developer.pico-interactive.com/sdk/index?id=5&device_id=1&platform_id=2
enter image description here
如果您需要所有的SDK管理或下载,推荐下载包含有Android SDK Manager的Android Studio。链接如下:
https://developer.android.com/studio
您只需下载并安装Android Studio后,在SDKManager即可管理与下载您所需要的SDK以及SDK所对应的NDK。
另外,测试配置的SDK API Level 为29。
希望能帮到您。

enter image description here
enter image description here

...